JanosVM v0.6.0 Java API

## edu.utah.janosvm.resources
Class ResourceSpec

    java.lang.Object
      |
      +--edu.utah.janosvm.resources.ResourceSpec

Direct Known Subclasses:
  ClassPathSpec, ConfigSpec, MemorySpec, NameSpaceSpec, NativeSpec, StdioSpec

public class ResourceSpec
extends java.lang.Object

Base class for resource specifications.

Author:
  Tim Stack, Utah Janos Team

Constructor Summary
`ResourceSpec()`

Method Summary
`static ResourceSpec` `find(java.lang.String name)` Find and create a resource specification with the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceSpec

    public ResourceSpec()

Method Detail

### find

    public static ResourceSpec find(java.lang.String name)

  Find and create a resource specification with the given name.
  Parameters:
    `name` - Name that corresponds to a resource specification defined in the config file.
  Returns:
    The ResourceSpec as defined in the config file or NULL if it couldn't be found.

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002